Console Export Schedule
Responses
default
default response
application/json
createdDatestring · date-timeOptional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
frequencyWarningstringOptional
idstring · uuidOptional
maxRetainedinteger · int32Optional
modifiedDatestring · date-timeOptional
namestringOptional
nextExecutionstring · date-timeOptional
numberOfConsoleExportsinteger · int32Optional
retentionDaysinteger · enumOptionalPossible values:
get/consoleExportSchedule
GET /rest/consoleExportSchedule HTTP/1.1
Accept: */*
default
default response
[
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfConsoleExports": 1,
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}
]Body
consoleExportIdsstring · uuid[]Optional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
maxRetainedinteger · int32Optional
namestringOptional
retentionDaysinteger · enumOptionalPossible values:
Responses
201
successful operation
application/json
createdDatestring · date-timeOptional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
frequencyWarningstringOptional
idstring · uuidOptional
maxRetainedinteger · int32Optional
modifiedDatestring · date-timeOptional
namestringOptional
nextExecutionstring · date-timeOptional
numberOfConsoleExportsinteger · int32Optional
retentionDaysinteger · enumOptionalPossible values:
post/consoleExportSchedule
POST /rest/consoleExportSchedule HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 289
{
"consoleExportIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"name": "text",
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7
}201
successful operation
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfConsoleExports": 1,
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}Path parameters
environmentIdstring · uuidRequired
The id of the environment
Responses
200
List of console export schedules for the given environment
application/json
createdDatestring · date-timeOptional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
frequencyWarningstringOptional
idstring · uuidOptional
maxRetainedinteger · int32Optional
modifiedDatestring · date-timeOptional
namestringOptional
nextExecutionstring · date-timeOptional
numberOfBackupsinteger · int32Optional
retentionDaysinteger · enumOptionalPossible values:
204
No console export schedules for the given environment
404
Environment could not be found
get/consoleExportSchedule/environment/{environmentId}
GET /rest/consoleExportSchedule/environment/{environmentId} HTTP/1.1
Accept: */*
[
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}
]Path parameters
idstring · uuidRequired
The id of the schedule
Responses
default
default response
application/json
createdDatestring · date-timeOptional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
frequencyWarningstringOptional
idstring · uuidOptional
maxRetainedinteger · int32Optional
modifiedDatestring · date-timeOptional
namestringOptional
nextExecutionstring · date-timeOptional
numberOfConsoleExportsinteger · int32Optional
retentionDaysinteger · enumOptionalPossible values:
get/consoleExportSchedule/{id}
GET /rest/consoleExportSchedule/{id} HTTP/1.1
Accept: */*
default
default response
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfConsoleExports": 1,
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}Path parameters
idstring · uuidRequired
The id of the schedule to update
Body
consoleExportScheduleIdstring · uuidOptional
cronExpressionstringOptional
descriptionstringOptional
maxRetainedinteger · int32Optional
namestringOptional
retentionDaysinteger · enumOptionalPossible values:
Responses
default
default response
application/json
createdDatestring · date-timeOptional
cronExpressionstringOptional
descriptionstringOptional
environmentIdstring · uuidOptional
frequencyWarningstringOptional
idstring · uuidOptional
maxRetainedinteger · int32Optional
modifiedDatestring · date-timeOptional
namestringOptional
nextExecutionstring · date-timeOptional
numberOfConsoleExportsinteger · int32Optional
retentionDaysinteger · enumOptionalPossible values:
put/consoleExportSchedule/{id}
PUT /rest/consoleExportSchedule/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 239
{
"consoleExportScheduleId": "123e4567-e89b-12d3-a456-426614174000",
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"maxRetained": 1,
"name": "text",
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7
}default
default response
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcConsoleExportOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfConsoleExports": 1,
"repoConsoleExportOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}Path parameters
idstring · uuidRequired
The id of the schedule
Responses
default
default response
application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
inProgressbooleanOptional
keystringOptional
modifiedDatestring · date-timeOptional
sizeinteger · int64Optional
get/consoleExportSchedule/{id}/consoleExports
GET /rest/consoleExportSchedule/{id}/consoleExports HTTP/1.1
Accept: */*
default
default response
[
{
"consoleExportInformation": {
"appVersion": "text",
"consoleExportSpecificationId": "123e4567-e89b-12d3-a456-426614174000",
"createdByEmail": "text",
"date": "2026-01-01T00:00:00.000Z",
"description": "text",
"dgcConsoleExportOptions": [
"CUSTOMIZATIONS",
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"expirationDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"repoConsoleExportOptions": [
"DATA",
"HISTORY"
],
"retentionDays": 1
},
"createdDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"inProgress": true,
"key": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"size": 1,
"stepStateMap": {
"ANY_ADDITIONAL_PROPERTY": {
"errorMessage": "text",
"status": "UNKNOWN"
}
}
}
]Last updated
Was this helpful?